# Visualization
TKV2d
Prs2d

# Prs2d_Drawer Class Reference

Graphic attributes management
Qualifies how the presentation algorithms compute
the presentation of a specific kind of object.
This includes for example color, width and type
of lines...
.

`#include <Prs2d_Drawer.hxx>`

## Public Member Functions

Standard_EXPORT | Prs2d_Drawer ()
| Initializes graphic attribute manager .
virtual Standard_EXPORT Handle_Prs2d_AspectRoot | FindAspect (const Prs2d_AspectName anAspectName) const
| Returns a link with Prs2d_Drawer AspectName, which provides settings for object "anAspectName" used to display "anAspectName" .
Standard_EXPORT void | SetAspect (const Handle(Prs2d_AspectRoot)&anAspectRoot, const Prs2d_AspectName anAspectName)
| Sets the Aspect <anaspectroot> of the Drawer .
virtual Standard_EXPORT void | SetMaxParameterValue (const Standard_Real Value)
| defines the maximum value allowed for the first and last parameters of an infinite line. Default value: 500000.
virtual Standard_EXPORT Standard_Real | MaxParameterValue () const
| Indicates the maximum value allowed for the first and last parameters of an infinite line. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Prs2d_DataMapOfAspectRoot | myDataMapAspectRoot
Standard_Real | myMaxParameterValue

## Private Member Functions

Standard_EXPORT void | InitAspectRootMap ()
| Initializes Aspect classes data map .

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Drawer::Prs2d_Drawer | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Prs2d_AspectRoot Prs2d_Drawer::FindAspect | ( | const Prs2d_AspectName | anAspectName | ) | const`[virtual]`

Standard_EXPORT const Prs2d_Drawer::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Prs2d_Drawer::InitAspectRootMap | ( |  | ) | `[private]`

virtual Standard_EXPORT Standard_Real Prs2d_Drawer::MaxParameterValue | ( |  | ) | const`[virtual]`

Standard_EXPORT void Prs2d_Drawer::SetAspect | ( | const Handle(Prs2d_AspectRoot)& | anAspectRoot,
|  | const Prs2d_AspectName | anAspectName
| ) |

virtual Standard_EXPORT void Prs2d_Drawer::SetMaxParameterValue | ( | const Standard_Real | Value | ) | `[virtual]`

## Field Documentation

Prs2d_DataMapOfAspectRoot Prs2d_Drawer::myDataMapAspectRoot `[protected]`

Standard_Real Prs2d_Drawer::myMaxParameterValue `[protected]`

The documentation for this class was generated from the following file:

- Prs2d_Drawer.hxx